<?php
 
class FrmAwbrAppHelper{
    
    public static function get_default_options(){
        return array(
            'aweber' => 0, 
            'awbr_list' => array()
        );
    }

	public static function is_formidable_v2() {
		$frm_version = is_callable('FrmAppHelper::plugin_version') ? FrmAppHelper::plugin_version() : 0;
		return version_compare( $frm_version, '1.07.20', '>' );
	}

	public static function get_entry_or_post_value( $entry, $field_id ) {
		$value = '';
		if ( ! empty( $entry ) && isset( $entry->metas[ $field_id ] ) ) {
			$value = $entry->metas[ $field_id ];
		} else if ( isset( $_POST['item_meta'][ $field_id ] ) ) {
			$value = $_POST['item_meta'][ $field_id ];
		}
		return $value;
	}

	public static function wrong_account_message() {
		return sprintf( __( 'Your AWeber account info is not correct. %1$sUpdate it now.%2$s', 'formidable-aweber' ), '<a href="' . esc_url( admin_url('admin.php?page=formidable-settings') ) . '">', '</a>' );
	}

	public static function get_aweber_list( $list_id ) {
		$account = self::get_aweber_account();
		$list = array();
		if ( $account ) {
			try {
				$list = $account->loadFromUrl( '/accounts/' . $account->id . '/lists/' . $list_id );
			} catch ( Exception $exc ) {
				$list = false;
			}
		}
		return $list;
	}

	/**
	 * Get the Aweber account for the saved settings
	 */
	public static function get_aweber_account() {
		if ( ! class_exists( 'FrmAWeberAPI' ) ) {
			require_once( FrmAwbrAppController::path() . '/aweber_api/aweber.php' );
		}

		$account = false;
		try {
			$frm_awbr_settings = new FrmAwbrSettings();
			$aweber = new FrmAWeberAPI( $frm_awbr_settings->settings->consumer_key, $frm_awbr_settings->settings->consumer_secret );
			$account = $aweber->getAccount( $frm_awbr_settings->settings->access_key, $frm_awbr_settings->settings->access_secret );
		} catch ( Exception $exc ) {
			//$error = self::wrong_account_message();
		}
		return $account;
	}

}