<?php

class FrmGetResponseAction extends FrmFormAction {

	public function __construct() {
		$action_ops = array(
			'classes'  => 'frm_getresponse_icon frm_icon_font',
			'limit'    => 99,
			'active'   => true,
			'priority' => 25,
			'event'     => array( 'create', 'update' ),
		);

		$this->FrmFormAction( 'getresponse', __( 'Add to GetResponse', 'formidable-getresponse' ), $action_ops );
	}

	public function form( $form_action, $args = array() ) {
		$form = $args['form'];

		$list_options = $form_action->post_content;
		$list_id      = $list_options['list_id'];

		$api = new FrmGetResponseAPI();
		$lists = $api->fetch_campaigns();
		if ( $list_id && ! empty( $lists ) ) {
			$list_fields = $api->fetch_custom_fields();
			$form_fields = FrmField::getAll( 'fi.form_id=' . (int) $form->id . " and fi.type not in ('break', 'divider', 'end_divider', 'html', 'captcha', 'form')", 'field_order' );
		}

		$action_control = $this;
		$nonce = wp_create_nonce( 'frmgetresponse_ajax' );

		include FrmGetResponseAppController::path() . '/views/action-settings/getresponse_options.php';
		include_once FrmGetResponseAppController::path() . '/views/action-settings/_action_scripts.php';
	}

	public function get_defaults() {
		return array(
			'list_id'         => '',
			'cycle_day'       => '',
			'fields'          => array(),
		);
	}

	public function get_switch_fields() {
		return array(
			'fields' => array(),
			'groups' => array( array( 'id' ) ),
		);
	}

}
