<?php

class FrmMailPoetHooksController {

	public static function load_hooks() {
		add_action( 'frm_entry_form', 'FrmMailPoetAppController::hidden_form_fields', 10, 2 );

		add_action( 'frm_trigger_mailpoet_action', 'FrmMailPoetAppController::trigger_mailpoet', 10, 3 );
		add_action( 'frm_registered_form_actions', 'FrmMailPoetAppController::register_actions' );
		self::load_admin_hooks();
	}

	public static function load_admin_hooks() {
		if ( ! is_admin() ) {
			return;
		}

		add_action( 'admin_init', 'FrmMailPoetAppController::include_updater' );
		add_action( 'admin_enqueue_scripts', 'FrmMailPoetHooksController::add_scripts' );
		add_action( 'after_plugin_row_formidable-mailpoet/formidable-mailpoet.php', 'FrmMailPoetAppController::min_version_notice' );

	}

	public static function add_scripts() {
		if ( self::is_form_settings_page() ) {
			$url = FrmMailPoetAppController::plugin_url();
			wp_enqueue_style( 'frmmailpoet', $url . '/css/frmmailpoet.css' );
		}
	}

	/**
	 * Check if the current page is the form settings page
	 *
	 * @since 1.0
	 *
	 * @return bool
	 */
	private static function is_form_settings_page() {
		$is_form_settings_page = false;
		$page = FrmAppHelper::simple_get( 'page', 'sanitize_title' );
		$action = FrmAppHelper::simple_get( 'frm_action', 'sanitize_title' );
		if ( 'formidable' === $page && 'settings' === $action ) {
			$is_form_settings_page = true;
		}
		return $is_form_settings_page;
	}
}
